Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.directwebremoting.contrib
Class ParallelDefaultRemoter

    java.lang.Object
      org.directwebremoting.impl.DefaultRemoter
          org.directwebremoting.contrib.ParallelDefaultRemoter

All Implemented Interfaces:
  Remoter

    public class ParallelDefaultRemoter

extends DefaultRemoter

This implementation is not officially supported, and may be removed at some point in the future. Remoter implementation executing in parallel a group of remote calls.

Author:
  Claude Hussenet

Constructor Summary
`ParallelDefaultRemoter()` Initialize thread pool with : Core pool size : 10; Maximum pool size = 100; Keep alive time = 5000(ms); Timeout = 10000(ms);

Method Summary
`Replies` | `execute(Calls calls)` Execute a set of remote calls in parallel and generate set of reply data for later conversion to whatever wire protocol we are using today.
`void` | `setParallelDefaultRemoterCorePoolsize(int corePoolsize)` Sets the core number of threads.
`void` | `setParallelDefaultRemoterKeepAliveTime(long keepAliveTime)` Sets the time limit in (ms) for which threads may remain idle before being terminated.
`void` | `setParallelDefaultRemoterMaximumPoolsize(int maximumPoolsize)` Sets the maximum allowed number of threads.
`void` | `setParallelDefaultRemoterTimeout(long timeout)` Sets the maximum time to wait in (ms)

Methods inherited from class org.directwebremoting.impl.DefaultRemoter
`execute, generateInterfaceScript, setAccessControl, setAjaxFilterManager, setAllowImpossibleTests, setConverterManager, setCreatorManager, setMaxCallCount, setOverridePath`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParallelDefaultRemoter

    public ParallelDefaultRemoter()

  Initialize thread pool with : Core pool size : 10; Maximum pool size = 100; Keep alive time = 5000(ms); Timeout = 10000(ms);

Method Detail

### setParallelDefaultRemoterTimeout

    public void setParallelDefaultRemoterTimeout(long timeout)

  Sets the maximum time to wait in (ms)

  Parameters:
    `timeout` - Time in (ms)

### setParallelDefaultRemoterCorePoolsize

    public void setParallelDefaultRemoterCorePoolsize(int corePoolsize)

  Sets the core number of threads.

  Parameters:
    `corePoolsize` - How many threads do we use

### setParallelDefaultRemoterMaximumPoolsize

    public void setParallelDefaultRemoterMaximumPoolsize(int maximumPoolsize)

  Sets the maximum allowed number of threads.

  Parameters:
    `maximumPoolsize` - Maximum of threads

### setParallelDefaultRemoterKeepAliveTime

    public void setParallelDefaultRemoterKeepAliveTime(long keepAliveTime)

  Sets the time limit in (ms) for which threads may remain idle before being terminated.

  Parameters:
    `keepAliveTime` - Time in (ms)

### execute

    public Replies execute(Calls calls)

  Execute a set of remote calls in parallel and generate set of reply data for later conversion to whatever wire protocol we are using today.

  Specified by:
    `execute` in interface `Remoter`
  Overrides:
    `execute` in class `DefaultRemoter`
  Parameters:
    `calls` - The set of calls to execute in parallel
  Returns:
    A set of reply data objects

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¬ 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD